Ruby: rb_box_struct Struct Reference

Ruby 4.0.6p0 (2026-07-14 revision 03b6d3f8898a28604fe6cb00eae3226b821168f4)

Data Fields
rb_box_struct Struct Reference

Internal header for Ruby Box. More...

`#include <box.h>`

## Data Fields
VALUE | box_object
long | box_id
VALUE | top_self
VALUE | load_path
VALUE | load_path_snapshot
VALUE | load_path_check_cache
VALUE | expanded_load_path
VALUE | loaded_features
VALUE | loaded_features_snapshot
VALUE | loaded_features_realpaths
VALUE | loaded_features_realpath_map
struct st_table * | loaded_features_index
struct st_table * | loading_table
VALUE | ruby_dln_libmap
VALUE | gvar_tbl
struct st_table * | classext_cow_classes
bool | is_root
bool | is_user
bool | is_optional

## Detailed Description

Internal header for Ruby Box.

Author
  Ruby developers ruby-.nosp@m.core.nosp@m.@ruby.nosp@m.-lan.nosp@m.g.org

Copyright
  This file is a part of the programming language Ruby. Permission is hereby granted, to either redistribute and/or modify this file, provided that the conditions mentioned in the file COPYING are met. Consult the file for details.

Definition at line 14 of file box.h.

## Field Documentation

## ◆ box_id

long rb_box_struct::box_id

Definition at line 20 of file box.h.

## ◆ box_object

VALUE rb_box_struct::box_object

Definition at line 19 of file box.h.

## ◆ classext_cow_classes

struct st_table* rb_box_struct::classext_cow_classes

Definition at line 37 of file box.h.

## ◆ expanded_load_path

VALUE rb_box_struct::expanded_load_path

Definition at line 27 of file box.h.

## ◆ gvar_tbl

VALUE rb_box_struct::gvar_tbl

Definition at line 36 of file box.h.

## ◆ is_optional

bool rb_box_struct::is_optional

Definition at line 41 of file box.h.

## ◆ is_root

bool rb_box_struct::is_root

Definition at line 39 of file box.h.

## ◆ is_user

bool rb_box_struct::is_user

Definition at line 40 of file box.h.

## ◆ load_path

VALUE rb_box_struct::load_path

Definition at line 24 of file box.h.

## ◆ load_path_check_cache

VALUE rb_box_struct::load_path_check_cache

Definition at line 26 of file box.h.

## ◆ load_path_snapshot

VALUE rb_box_struct::load_path_snapshot

Definition at line 25 of file box.h.

## ◆ loaded_features

VALUE rb_box_struct::loaded_features

Definition at line 28 of file box.h.

## ◆ loaded_features_index

struct st_table* rb_box_struct::loaded_features_index

Definition at line 32 of file box.h.

## ◆ loaded_features_realpath_map

VALUE rb_box_struct::loaded_features_realpath_map

Definition at line 31 of file box.h.

## ◆ loaded_features_realpaths

VALUE rb_box_struct::loaded_features_realpaths

Definition at line 30 of file box.h.

## ◆ loaded_features_snapshot

VALUE rb_box_struct::loaded_features_snapshot

Definition at line 29 of file box.h.

## ◆ loading_table

struct st_table* rb_box_struct::loading_table

Definition at line 33 of file box.h.

## ◆ ruby_dln_libmap

VALUE rb_box_struct::ruby_dln_libmap

Definition at line 34 of file box.h.

## ◆ top_self

VALUE rb_box_struct::top_self

Definition at line 22 of file box.h.

The documentation for this struct was generated from the following file:

- internal/box.h